
マスカットフレームワーク
CHANGELOG.txt - 変更履歴

最終更新日: 2011/4/8

マスカットプロジェクト
http://maskat.sourceforge.jp/

 2.3.0 (リリース日: 2011年4月8日)
───────────────────────────────────

・　機能追加
 - JSON 形式での通信に対応
　- 外部の OSS ライブラリに依存しない maskat プラグインを追加
　　・　必要最低限の機能のみを有する grid 部品を提供
　- （性能改善）各種定義 XML の解析時間の削減のため、XML の形式チェックの
　　　処理を制御する機能を追加
　　・　properties.json の core 配下に schema.validation を記述し、
　　　　値を false に設定することで、形式チェックを無効化
　　　　※非対応の子要素や属性が存在していてもエラーが発生しなくなる
　-　キーバインド機能にて、「＋」キーに対するバインドに対応（「PLUS」を指定）
 - レスポンス解析パターンの追加
　　・　childNode が存在し bindNode が存在しない場合は、String
　　　　の配列としてバインドするよう、機能を追加

・　仕様変更
　- レスポンスにて、データバインド元のデータが存在しない場合、対象の部品・変数
　　　に値を設定しないよう変更
　- 各設定ファイルの読み込みにて共通的に利用される処理を高速化

・　性能改善
 - JavaScript コーディングにおける高速化パターンの反映
　-　データバインドにおいて、複数の target が存在するデータを受信したさい、
　　　処理が遅くなる事象を改修し、データバインドを高速化
 - JSONから文字列を生成する encodeJSON 関数を高速化

・　メモリリーク対応
 - LiveValidation 利用時に発生するメモリークを解消

・　バグ対応
　- Firefox 環境にて、テキストノードに 4096 Byte 以上の文字列が格納
　　　されている場合、テキストノードが分割されてしまう事象に対応

・　その他の変更
　- 動作確認済み環境の追加
　　・　Firefox 3.6.13

 2.2.1 (リリース日: 2010年9月30日)
───────────────────────────────────

・その他の変更
  - loadJavaScript における重複処理を回避
  - デバッグ実行時に loadJavaScript で読み込んだスクリプトを解析可能に
  - レスポンスにおいて、バインド元となる子要素（テキストノード）が空で
  　ある場合、""（空文字）を設定するように変更
  - リクエスト・レスポンスにおける要素名の重複対応
  - 部品廃棄時にレイアウトに登録済みの参照情報を削除するように改修
  - tabIndex に関する処理の最適化

 2.2.0 (リリース日: 2010年6月18日)
───────────────────────────────────

・バグへの対応
　#17821 Firefoxでの挙動について

・その他の変更
　- 動作確認済み環境の追加
    ・Internet Explorer 8
    ・Firefox 3.5
  - メモリ使用量の削減、解放方法の改善
  - JavaScript オブジェクト配下のプロパティに対する
    データバインドに対応
  - ユーザ定義の JavaScript 関数に渡される引数のプロパティに
    Dom イベントオブジェクトを追加

 2.1.1 (リリース日: 2009年7月31日)
───────────────────────────────────

・バグへの対応
  #17996 tabFolderを使用したLayoutの表示、非表示について

・その他の変更
  - レイアウトと部品の表示／非表示に関する実装方法を変更
  

 2.1.0 (リリース日: 2009年4月10日)
───────────────────────────────────

・機能リクエストへの対応
  #15216 コールバック関数内で画面遷移の分岐 (branch プロパティ) を指定したい


 2.0.0 (リリース日: 2008年5月21日)
───────────────────────────────────

・内部アーキテクチャを変更し、コードベースを一新


 1.4.5 (リリース日: 2007年8月8日)
───────────────────────────────────

・ブラウザ版IDEのタブフォルダ表示の不具合を修正


 1.4.5 (リリース日: 2007年6月29日)
───────────────────────────────────

・[maskatFW/core/ext/maskat/]配下の拡張JSをmaskat.jsに集約
　以下のファイルをmaskat.jsに集約しました
　- codeLabelTeleConsumer.js
　- googleMapEx.js
　- iFrameEx.js
　- window.js
　- menu.js
・[maskatFW/core/ext/maskat/]配下のCSSファイルを統一してmaskat.cssを追加
　以下のファイルを統一してmaskat.cssを追加しました
　- window.css
　- menu.css
　以下の場所に追加しました
　[maskatFW/core/style/maskat.css]
・Rialto javascript APIv0.9に対応
　v0.9の変更点は以下の通りです
　- グリッドのCSS定義が変更されました
　- GUIオブジェクト「タブフォルダ」でタブの位置を上下左右に配置できるようになりました
　■ タブ位置変更方法
　・ tabFolerタグにorientation属性を追加します
　<tabFolder name="tf1" top="80" ... orientation="b">
　orientationに指定する値は、"t"、"b"、"l""、"r"の4つです(省略した場合、t)
　t：上
　b：下
　l：左
　r：右
　※注意：l、rを指定し、左右にタブを配置した場合、テキストが横に表示され、
　先頭の１文字程度しか表示されません。一文字ごとに改行(&lt;br&gt;)を入れ縦にして下さい
・rialto.js変更
　- テキストボックス入力時に最初に半角空白が入力された場合(下記、例参照)、削除するようにしました
　例) テキストボックス入力文字：「□□マスカット！！」（□は半角空白）　→　「マスカット！！」
・maskatConfig.js変更
　- HTMLファイルに記述されていた以下のコードをmaskatConfig.jsに追加し、HTMLファイルから削除しました
　以下、HTMLファイルから削除したコード
　<script type="text/javascript">
　rialtoConfig.pathRialtoE = "../../maskatFW/rialtoEngine/";
　</script>

【バグ対応】
#10422 Layoutのremoveについて
概要：menu.jsを読み込んでいない場合、removeLayoutを使用したときに発生するバグを修正しました


 1.4.4 (リリース日: 2007年5月18日)
───────────────────────────────────

・画面遷移機構を実装
・新たに3つのコンポーネントを追加
  - screenコンポーネント
  - confirmDialogコンポーネント
  - endDialogコンポーネント
・eventタグにconfirmDialogとendDialog属性を追加
・textコンポーネントのdatatypeにDAとDTを追加
  - datatype="DT": YYYY-MM-DDT00:00:00
  - datatype="DA": YYYY-MM-DD

【リクエスト対応】
・9890 Mask@IDEのTree表示について
・9519 空データをgridに読み込ませるとgridがクリアされない
・9957 バリデーションについて
・9290 JavaScript変数のマッピング（in)について
・9312 Gridから送信電文へのマッピングについて

【バグ対応】
・9968 gridクリック時のバグ
・10067 レイアウトの表示順序


 1.4.3 (リリース日: 2007年3月9日)
───────────────────────────────────

・デモコンテンツ「chatClient」を追加
・デモコンテンツ「codeLib」でデータが表示されないバグを修正
・レイアウト定義XML、イベント定義XML、HTMLファイルに記述された
  JavaScriptを別ファイルに分離
・JavaScriptのログ出力部品「log4javascript」を追加
 デモコンテンツ「PetStore」にlog4javascriptのサンプルを追加

【バグ修正】
・9807 GUIオブジェクトを2回続けて選択すると不具合が発生する


 1.4.2 (リリース日: 2007年2月16日)
───────────────────────────────────

・GoogleMapsのデモコンテンツ「お店探し」を追加


 1.4.1 (リリース日: 2007年1月19日)
───────────────────────────────────

・rialtoのバージョンが0.8.6にアップ
・マスカット本体のjsファイルを一つ(maskat.js)に統一
・keyNavi機能を追加
・iFrame（拡張部品）を追加


 1.2.2 (リリース日: 2006年11月30日)
───────────────────────────────────

・全ての定義ファイル及びhtmlファイルのエンコードをUTF-16から
  UTF-8に統一
・レイアウトインタープリターのsplitterタグ処理にdivsplitterの
  name属性不具合に対応(div1とdiv2)

【リクエスト対応】
・9466 divHtmlをレイアウト部品のように使いたい

【バグ修正】
・9463  imageがクリッカブルにならない
・9464  ループ内の無名関数
・9465  受信電文にhtmlのソースを含めたい
・9500  imageにaltはつけられますか


 1.2.1 (リリース日: 2006年11月10日)
───────────────────────────────────

・googleMapを拡張部品として追加
・イベント定義XMLのsourceタグとtargetタグにteleTypeを追加


 1.2.0 (リリース日: 2006年10月6日)
───────────────────────────────────

・マスカットブラウザ版IDEを同パッケージにした
・受信電文をカスタマイズできるように変更
・レイアウト定義とイベント定義XMLファイルのエンコード
  をUTF-16に変更
・PHP、JavaEEのサーバサイドを別パッケージに変更

【受信電文カスタマイズの詳細】

(1). 受信電文の階層構造を書き換えることができます。
イベント定義XMLのevent要素のafter属性で、param.recvDOMから
受信電文を取得し、以下の例のように書き換えることができます。

既存のビジネスロジックが、マスカットの仕様外の
xmlを出力する際などにご利用いただけます。

例：
function afterfunction(param){

//myDOMに受信電文を格納
var myDOM = param.recvDOM;

//myDOMに対してDOM操作を記述

//上書き
param.recvDOM = myDOM;
}

(2). 二階層受信電文からgridへのデータバインディングができます。
イベント定義のtarget要素のin属性を省略することで、gridにバインディングされます。

例：
・三階層受信電文からgridへのバインディング
受信電文：
<customers>
<customer><name>xxx</name><address>addressxxx</address></customer>
<customer><name>yyy</name><address>addressyyy</address></customer>
</customers>
イベント定義：
<target out="gridResult" in="customers" inkey="customer">
    <bind tokey="0" node="name"/>
    <bind tokey="1" node="address"/>
</target>

・二階層受信電文からgridへのバインディング
受信電文：
<customer><name>xxx</name><address>addressxxx</address></customer>
<customer><name>yyy</name><address>addressyyy</address></customer>
イベント定義：
<target out="gridResult" inkey="customer">
    <bind tokey="0" node="name"/>
    <bind tokey="1" node="address"/>
</target>

(3). 複数型のデータを１階層の送信電文で送信できます。
event定義XMLのsource要素のnode属性を省略することで、1階層で送信できます。

例：
イベント定義：
<source obj="myGrid" childNode="data">
        <bind fromkey="0" node="col1"/>
</source>
送信電文：
    <data><col1>xxx</col1></data>
    <data><col1>yyy</col1></data>


 1.1.7 (リリース日: 2006年9月25日)
───────────────────────────────────

2006-09-25 [v1.1.7]
【バグ修正】
・9058 	ブラウザ版IDEでスクロールができない
・9059 	マスカットが正常にインストールされない
・9062  同期通信のbefore/afterイベントにてポップ
  アップが表示されたままになる


 1.1.6 (リリース日: 2006年9月15日)
───────────────────────────────────

・初版


以上

───────────────────────────────────
Copyright(C) 2006-2011 マスカットプロジェクト